Package org.zkoss.fsm

## Class StateMachine.StateMachineException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.fsm.StateMachine.StateMachineException

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    StateMachine<E,​C,​IN>

      public static class StateMachine.StateMachineException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StateMachineException​(int step, java.lang.Object state, java.lang.Object input)` |
    `StateMachineException​(int step, java.lang.Object state, java.lang.Object input, java.lang.String message)` |
    `StateMachineException​(java.lang.String message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getInput()` |
    `java.lang.Object` | `getState()` |
    `int` | `getStep()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StateMachineException

          public StateMachineException​(int step,
                                       java.lang.Object state,
                                       java.lang.Object input)

    - #### StateMachineException

          public StateMachineException​(int step,
                                       java.lang.Object state,
                                       java.lang.Object input,
                                       java.lang.String message)

    - #### StateMachineException

          public StateMachineException​(java.lang.String message)

  - ### Method Detail

    - #### getStep

          public int getStep()

    - #### getState

          public java.lang.Object getState()

    - #### getInput

          public java.lang.Object getInput()